@REM File Name: hdf5build.bat
@REM This batch file is used to build HDF5 Libraries and Tools.
@REM There are 4 options for this batch file:
@REM   1. hdf5build                -- Build HDF5 tools and c library
@REM   2. hdf5build enablecpp      -- Build HDF5 tools and c/c++ library
@REM   3. hdf5build enablefortran  -- Build HDF5 tools and c/fortran library
@REM   4. hdf5build enableall      -- Build HDF5 tools and c/c++/fortran library
@REM By Xuan Bai
@REM Created: Aug. 16, 2004
@REM Last Updated: Aug. 19, 2004

@ECHO OFF
type nul > build_results.txt
echo ***************************************************************************** >> build_results.txt
echo                         Build HDF5 c Library and Tools >> build_results.txt
echo ***************************************************************************** >> build_results.txt

cd misc\typegen\h5tinit
msdev h5tinit.dsp  /make "h5tinit - Win32 Debug" /Rebuild /out ..\..\..\h5tinit.log
cd ..\..\..\
more h5tinit.log >> build_results.txt
del h5tinit.log

cd src
h5tinit.exe > h5tinit.c

cd ..\proj\all
msdev all.dsw /make "all - ALL" /Rebuild /out ..\..\all.log
cd ..\..
more all.log >> build_results.txt
del all.log

if "%1"=="enablecpp" (
echo. >> build_results.txt
echo ***************************************************************************** >> build_results.txt
echo                         Build HDF5 c++ Library >> build_results.txt
echo ***************************************************************************** >> build_results.txt
cd proj\all
msdev all.dsw /make "testhdf5_cppdll - ALL" "testhdf5_cpp - ALL" "dsets_cppdll - ALL" "dsets_cpp - ALL" /Rebuild /out ..\..\cpp.log
cd ..\..
more cpp.log >> build_results.txt
del cpp.log
)

if "%1"=="enablefortran" (
echo. >> build_results.txt
echo ***************************************************************************** >> build_results.txt
echo                         Build HDF5 Fortran Library >> build_results.txt
echo ***************************************************************************** >> build_results.txt
cd proj\all
dfdev all.dsw /make "testhdf5_fortran - ALL" "flush2_fortran - ALL" "flush1_fortran - ALL" /Rebuild /out ..\..\f90.log
cd ..\..
more f90.log >> build_results.txt
del f90.log
)

if "%1"=="enableall" (
echo. >> build_results.txt
echo ***************************************************************************** >> build_results.txt
echo                         Build HDF5 c++ Library >> build_results.txt
echo ***************************************************************************** >> build_results.txt
cd proj\all
msdev all.dsw /make "testhdf5_cppdll - ALL" "testhdf5_cpp - ALL" "dsets_cppdll - ALL" "dsets_cpp - ALL" /Rebuild /out ..\..\cpp.log
cd ..\..
more cpp.log >> build_results.txt
del cpp.log

echo. >> build_results.txt
echo ***************************************************************************** >> build_results.txt
echo                         Build HDF5 Fortran Library >> build_results.txt
echo ***************************************************************************** >> build_results.txt
cd proj\all
dfdev all.dsw /make "testhdf5_fortran - ALL" "flush2_fortran - ALL" "flush1_fortran - ALL" /Rebuild /out ..\..\f90.log
cd ..\..
more f90.log >> build_results.txt
del f90.log
)